# Uses of Enum Class
org.springframework.jdbc.datasource.embedded.EmbeddedDatabaseType

Packages that use EmbeddedDatabaseType
Package
Description
org.springframework.jdbc.datasource.embedded
Provides extensible support for creating embedded database instances.

## Uses of EmbeddedDatabaseType in org.springframework.jdbc.datasource.embedded

Methods in org.springframework.jdbc.datasource.embedded that return EmbeddedDatabaseType
Modifier and Type
Method
Description
`static EmbeddedDatabaseType`
EmbeddedDatabaseType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EmbeddedDatabaseType[]`
EmbeddedDatabaseType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.springframework.jdbc.datasource.embedded with parameters of type EmbeddedDatabaseType
Modifier and Type
Method
Description
`static EmbeddedDatabaseConfigurer`
EmbeddedDatabaseConfigurers.`customizeConfigurer(EmbeddedDatabaseType type, UnaryOperator<EmbeddedDatabaseConfigurer> customizer)`
Customize the default configurer for the given embedded database type.
`static EmbeddedDatabaseConfigurer`
EmbeddedDatabaseConfigurers.`getConfigurer(EmbeddedDatabaseType type)`
Return a configurer instance for the given embedded database type.
`void`
EmbeddedDatabaseFactory.`setDatabaseType(EmbeddedDatabaseType type)`
Set the type of embedded database to use.
`EmbeddedDatabaseBuilder`
EmbeddedDatabaseBuilder.`setType(EmbeddedDatabaseType databaseType)`
Set the type of embedded database.